interface IErrors {
    [key: string]: string[];
}
export default class Errors {
    errors: IErrors;
    /**
     * Create a new Errors instance.
     */
    constructor();
    /**
     * Determine if an errors exists for the given field.
     */
    has(field: string): boolean;
    /**
     * Determine if we have any errors.
     */
    any(): boolean;
    /**
     * Retrieve the error message for a field.
     */
    get(field: string): string | null;
    /**
     * Retrieve all error messages.
     */
    getAll(): (string | null)[];
    /**
     * Record the new errors.
     */
    record(errors: {
        [key: string]: string[];
    }): void;
    /**
     * Clear one or all error fields.
     */
    clear(field?: string | null): void;
}
export {};
